import { createEntry, deleteEntry, entries, getEntry, snapshotEntry, updateEntry } from '../../utils/data/firestore.queries';
export const docEntries = (userId) => {
  return entries({ userId, collection: 'docs' });
};
export const deleteDoc = (docId) => {
  return deleteEntry({ id: docId, collection: 'docs' });
};
export const createDoc = (doc) => {
  return createEntry({ data: doc, collection: 'docs' });
};
export const getDoc = (docId) => {
  return getEntry({ id: docId, collection: 'docs' });
};
export const updateDoc = (doc) => {
  return updateEntry({ entry: doc, collection: 'docs' });
};
export const snapshotDoc = async ({ docId, onNext, onError }) => {
  return snapshotEntry({ id: docId, collection: 'docs', onNext, onError });
};
